import Product from "../components/Product";
import { ProductModel } from "../models";

export const TestQuestion4 = () => {
    const products: ProductModel[] = [
        {
            id: '1',
            name: 'Sample Product',
            brands: 'Sample Brand',
            categories: 'Sample Category',
            ecoscore: 'A',
            image: 'https://images.openfoodfacts.org/images/products/350/211/000/5663/front_fr.51.200.jpg',
            selected: false
        },
        {
            id: '2',
            name: 'Other Sample Product',
            brands: 'Other Sample Brand',
            categories: 'Other Sample Category',
            ecoscore: 'B',
            image: 'https://images.openfoodfacts.org/images/products/400/604/000/0563/front_fr.76.200.jpg',
            selected: true
        }
    ];

    const handleClick = (clickedProduct: ProductModel) => {
        console.log('Product clicked!');
        console.log('Selected:', clickedProduct.selected);
    };

    return (
        <div className="App">
            <h2>Test Question 4</h2>
            {products.map(product => (
                <Product key={product.id} clicked={() => handleClick(product)} item={product} color="red" />
            ))}
        </div>
    );
}